;********************************************************************************************
;* Title:  VECTORS.H                        (c) MOTOROLA Inc. 2003 All rights reserved.
;********************************************************************************************
;* Author: Bill Lucas - Motorola TSPG
;*
;* Description: Redirected vectors file
;*
;* This file contains redirected vectors used by the demo programs and points
;* unused interrupt vectors to a return from interrupt instruction.
;*
;* Documentation: 9S08GB60 family Data Sheet and HCS08 Family Reference Manual (HCS08RM1/D)
;*
;* Include Files: none
;*
;* Assembler:  Metrowerks Code Warrior 3.0 (pre-release)
;*             or P&E Microcomputer Systems - CASMS08 (beta v4.02)
;*
;* Revision History:  not yet released
;* Rev #     Date       Who     Comments
;* -----  -----------  ------  --------------------------------------------
;*  1.2    25-Apr-03   B.Lucas  Correct minor typos in comments
;*  1.1    18-Apr-03   B.Lucas  Comments and modify for CW 3.0 project
;*  1.0    02-Apr-03   B.Lucas  Initial code release
;********************************************************************************************

; Redirected Vectors used in the demo programs follow:

;*********************************************************************
             org    Vrti-$401     ;start of redirected vectors (-1)
;* $400 because monitor is 1K, 1 extra to leave room for DummyISR
DummyISR:    rti                  ;unused vectors should be handled             
uRti:        dc.w   rti_isr       ;(FBCC)User Rti Vector
uIic:        dc.w   DummyISR      ;(FBCE)User Iic Vector
uAtd:        dc.w   DummyISR      ;(FBD0)User Atd Vector
uKeyboard:   dc.w   DummyISR      ;(FBD2)User Keyboard Vector
uSci2tx:     dc.w   DummyISR      ;(FBD4)User Sci2tx Vector
uSci2rx:     dc.w   DummyISR      ;(FBD6)User Sci2rx Vector
uSci2err:    dc.w   DummyISR      ;(FBD8)User Sci2err Vector

MonSci1tx:   dc.w   $FFFF         ;monitor handles Sci1tx requests
MonSci1rx:   dc.w   $FFFF         ;SCI1 Rx is dedicated to monitor
MonSci1err:  dc.w   $FFFF         ;monitor handles Sci1err requests

uSpi:        dc.w   DummyISR      ;(FBE0)User Spi Vector
uTpm2ovf:    dc.w   DummyISR      ;(FBE2)User Tpm2ovf Vector
uTpm2ch4:    dc.w   DummyISR      ;(FBE4)User Tpm2ch4 Vector
uTpm2ch3:    dc.w   DummyISR      ;(FBE6)User Tpm2ch3 Vector
uTpm2ch2:    dc.w   DummyISR      ;(FBE8)User Tpm2ch2 Vector
uTpm2ch1:    dc.w   DummyISR      ;(FBEA)User Tpm2ch1 Vector
uTpm2ch0:    dc.w   DummyISR      ;(FBEC)User Tpm2ch0 Vector
uTpm1ovf:    dc.w   TPM1_OV       ;(FBEE)User Tpm1ovf Vector
uTpm1ch2:    dc.w   DummyISR      ;(FBF0)User Tpm1ch2 Vector
uTpm1ch1:    dc.w   DummyISR      ;(FBF2)User Tpm1ch1 Vector
uTpm1ch0:    dc.w   DummyISR      ;(FBF4)User Tpm1ch0 Vector
uIcg:        dc.w   $FFFF         ;* monitor optionally uses Icg ints
uLvd:        dc.w   DummyISR      ;(FBF8)User Lvd Vector
uIrq:        dc.w   DummyISR      ;(FBFA)User Irq Vector

MonSwi:      dc.w   $FFFF         ;SWI is dedicated to monitor

uReset:      dc.w   Demo_start    ;user reset starting point

;*********************************************************************